<script language="javascript">
// Funções para tratamento dos Eventos


//
//  tratamento do Evento keyPress
//
  function key_Press(evt)
  {
    var objectID = getObjEvento(evt);
    var hr  = new Date();
    var tipoDado = null;
    var cod = evt.keyCode;
<?php
    if( defined('STUDIO') )
    {
      echo( "evtKEY_H = hr.getHours();" );
      echo( "evtKEY_M = hr.getMinutes();" );
      echo( "evtKEY_S = hr.getSeconds();" );
    }// End
?>
    objDOM = findDOM( objectID, 0 );
    if( objDOM.readOnly )
    {
      evt.returnValue = false;
    }
    //alert(objectID+': ' + objDOM.readOnly );
    //alert('KeyPress');

    if( objectID != '' )
    {
    var domOBJ = findDOM( objectID, 0 );
    var tipoDado = domOBJ.getAttribute('tipoDado');
    domOBJ.setActive();
//alert('tipo: '+tipoDado);
      if ( tipoDado != null )
      {
        switch( tipoDado )
        {
          case 'alfa':
            if ( (cod < 65 || cod > 90) &&
                 (cod < 97 || cod > 122) )
            {
              evt.returnValue = false;
            }
            break;
          case 'alfanum':
            if ( (cod < 65 || cod > 90) &&
                 (cod < 97 || cod > 122) &&
                 (cod < 48 || cod > 57) &&
                 (cod < 43 || cod > 46) )
            {
              evt.returnValue = false;
            }
            break;
          case 'texto':
            if( (cod < 65 || cod > 90)  &&
                (cod < 97 || cod > 122) &&
                (cod < 48 || cod > 57)  &&
                (cod < 43 || cod > 46)  &&
                (cod < 37 || cod > 39)  &&
                 cod != 32              &&
                 cod != 8
              )
            {
              evt.returnValue = false;
            }else
            {
              //alert('key: '+cod);
            }// End if()
            break;
          case 'inteiro':
            if ( (cod < 48 || cod > 57) && cod != 45 )
            {
              evt.returnValue = false;
            }
            break;
        }// End switch()
      }// End if ( tipoDado != null )
    }// End if( objectID != '' )
//alert(cod);
  }// End function key_Press(evt)


//
//  tratamento do Evento keyUp
//
  function key_Up( evt )
  {
    //alert( 'keyUp' );
  }
  
  
//
//  tratamento do Evendo keyDown
//
  function key_Down( evt )
  {
    var cod = window.event.keyCode;
    var objID = getObjEvento(evt);
//alert('obj: ' + objID);
//alert('keyDown: ' + objID);
//alert('keyDown: ' + cod);
<?php
    if( $modo_RAD )
    {
      if( file_exists( INC . "onKeyDown_modo_RAD.js.php") )
      {
        include( INC . "onKeyDown_modo_RAD.js.php" );
      }// End
    }else
    {
      $inc_ = ( defined('STUDIO') ) ? INC : _INC_ ;

      $arrFile = getFile( $inc_, "onKeyPress" );
//echo("\nINC: " . $inc_ );echo("\n<pre>");print_r($arrFile);exit;
      foreach( $arrFile as $i_ => $nFile )
      {
        $ini_   = strpos( $nFile, '_' ) +1;
        $len_   = strpos( $nFile, '.js' ) - $ini_;

        $nObj_  = substr( $nFile, $ini_, $len_ );

        if( isset($componentes_no_Prj[ $nObj_ ] ) ||
            isset($componentes_no_Prj[ strtolower($nObj_) ] )
          )
        {
          include( $inc_ . $nFile );
        }else
        {
          //echo("alert('erro...[Inclusão do Evento do Obj: ".$nObj_."]');");
        }// End if ( isset($componentes_no_Prj[$nObj_] ) )
      }// End foreach( $arrFile as $i_ => $nFile )

    }// End if( $modo_RAD )
?>
    //window.event.cancelBubble=true;
  }// End function key_Down( evt )

</script>
